Subject: bug#5970: regex won't do lazy matching

From: a g <[email-masked]>
Date: Sun, 25 Apr 2010 21:56:18 -0400

thanks for everyone's help. I agree this can be closed, but not for the
reasons mentioned (though I appreciate them and they gave me the info I
needed to find the answer:
osdir.com/ml/lib.gnulib.bugs/2005-04/msg00027.html). Off to try emacs'
regex.c instead.

It would be nice if coreutils could offer the emacs regex.c (or some other
regex that supported non-greedy matching) at least as an additional library
if not the standard one... but, not my call...

On Sat, Apr 24, 2010 at 4:34 PM, Bob Proulx <[email-masked]> wrote:

> tags 5970 + feedback
> thanks
>
> a g wrote:
> > This may be a usage problem, but it does not exist with other regex
> packages
> > (such as slre) and I can't find anything in the documentation to indicate
> > that the syntax should be different for coreutils. I am using coreutils
> 8.4
> > on ubuntu AMD64, version 9.10. I cannot get the coreutils regex matcher
> to
> > do lazy matching. Here is my code:
>
> I read this and was somewhat confused by it.  Could you clarify and
> educate me as to your use?  Coreutils is not a "regex package" in the
> same way as pcre or slre.  It does use regular expressions such as in
> 'expr'.  So of course I wondered if you were using a command like
> 'expr' or were trying to extend coreutils with an additional command.
>
> Also, since the bug-coreutils mailing list is attached to a bug
> tracking system every message thread of discussion opens an issue
> ticket in the bug tracker.  I believe this issue has been resolved
> satisfactorily by the subsequence responses.  Do you agree?
>
> Thanks,
> Bob
>